<?php
/**
 * Plugin spxwnewsletter
 *
 * @package SPX
 * @version	
 * @date	02/04/2015
 * @author	JE-EVRARD
 **/


class spxwnewsletter extends plxPlugin {
	
	
	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par dfaut
	 * @return	stdio
	 * @author	JE-EVRARD
	 **/
	public function __construct($default_lang) {
		
		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		# droits pour accder  la page config.php du plugin
		$this->initconfiguration();
		
		# limite l'accs  l'cran d'administration du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		
		$this->spxname="spxwnewsletter";
		
		# Dclarations des hooks
		if(!defined('PLX_ADMIN')) {
			//$this->addHook('ThemeEndHead', 'addCssLibrairy');
			//$this->addHook('ThemeEndBody', 'addJSlibrairy');
		}
		
		// $this->addHook('spxwbookmarket::getBookmarket', 'getBookmarketRequest');
		
	}
	
	/**
	 * Mthode qui initialise les variables
	 *
	 * @author	JE-EVRARD
	 **/
	public function initconfiguration() {
		# VARIOUS PARAMS
		$this->setParam('spxdatas_widget', '1', 'string');
		$this->setParam('spxshortcodes_shortcode', '1', 'string');
	}
	
	public function getBaseURL() {
		# return the base of spxdatas
	}
	
	# get default for form inputfield    
	
	
	
		
	public function get_default_file_spxdatasOLD() {
		
		$file = false;
		$b1 = $this->plugin_check_exist("spxdatas");
		if ($b1){
			$b2 = $this->plugin_check_active("spxdatas");
				if ($b2==true){
					$check = $this->plugin_getParam ("spxdatas", "file_spxdatas");
					if ($check =="plugins/spxdatas/builder/") $check="";
				}
		}
		if ($check !="") $file=$check;
		return $file;
	}
	
	public function get_data_file_spxdatas() {
		$plxMotor = plxMotor::getInstance();
		return $plxMotor->plxPlugins->aPlugins["spxdatas"]->getPathData();
	}
	
	# get a param for a plugin
	public function plugin_getParam($plugName,$param) {
		$plxMotor = plxMotor::getInstance();
		$plug = $plxMotor->plxPlugins->aPlugins[$plugName];
		return $plug->getParam($param);
	}
	
	# check if a plugin exist
	public function plugin_check_exist($plugname) {
		if(!is_file(PLX_PLUGINS.$plugname.'/infos.xml'))
				return false;
			else
				return true;
	}
	
	# check if a plugin is actived
	public static function plugin_check_active($plugname) {
		$plxMotor = plxMotor::getInstance();
		$tmp = $plxMotor->plxPlugins->aPlugins[$plugname];
		if ($tmp){
			return true;
		}else{
			return false;
		}
	}
	
	
	/**
	 * Mthode a l'activation du plugin
	 *
	 * @author	JE-EVRARD
	 **/
	public function OnActivate() {
		
	}
	
	
	
	/**
	 * Mthode principale qui retourne le menu
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getBookmarketRequest($o) {

		$s='';
		
		$s.= $this->getRequestPrepare($o);
		return $s;
	}
	
	/**
	 * Mthode qui retourne le menu et prepare la requete a spxdatas
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getRequestPrepare($oatts) {
		//print_r($o);
		
		$plxMotor = plxMotor::getInstance();
		
		$o= array();
		$o["table"]="spxwbookmarket";
		$o["format"]=$oatts["format"];
		$o["filter"]="actif=1";
		
		$tmp = $plxMotor->plxPlugins->aPlugins["spxdatas"];
		
		$o["out"]="html";
		$tmp2 = $tmp->getData($o);
		
		return $tmp2;
	}
	
	# getloc call by spxdatas
	public function get_loc($mylang) {
		
		$filename = PLX_PLUGINS.$this->spxname.'/spxdatas/table/table_loc/'.$mylang.'/admin.php';
		$LANG = array();
		//echo ("mylang = ".is_file($filename));
		if(is_file($filename)) {
			include($filename);
		}
		return $LANG;
	}
	
	

}

?>