<h2>Affichage coté client</h2>
<p>L'affigage coté client est fait par shortcode, vous devez donc avoir préalablement installer le plugin spxshortcodes <a href="http://www.secretsitebox.fr/site/index.php?categorie2/pluxml-plugins#post-10" target="_blank">ici</a> (version supérieur ou égal à 1.2) </p>
<h3>Affichage du formulaire d'abonnement</h3>
<p>Pour afficher le forumulaire d'abonnement vous devez utiliser un shortcode.</p>
<p>Voici un exemple d'usage de shortcode pour affiche le formulaire d'inscription.</p>
<pre>
[SPXWNEWSLETTER_sub]
</pre>
<h3>Affichage du formulaire de désabonnement</h3>
<p>Pour afficher le forumulaire de désabonnement vous devez utiliser un shortcode.</p>
<p>Voici un exemple d'usage de shortcode pour affiche le formulaire de désinscription.</p>
<pre>
[SPXWNEWSLETTER_uns]
</pre>
<h3>Abonnement a un seul groupe</h3>
<p>Par default si vous avez plusieurs groupes le formulaire affiche une liste des groupes. Il est possible de cibler un groupe précis sans passer par la liste<p>
<p>Voici un exemple de formulaire d'inscription uniquement pour le groupe_id : 002<p>
<pre>
[SPXWNEWSLETTER_sub group_id='002']
</pre>
<h3>Configuration des classes d'affichage</h3>
<p>Par default la structure html est la suivante dans le cas ou il y a affichage d'un seul groupe.<p>
<pre>
<p>&lt;form role=&quot;form&quot; method=&quot;post&quot; action=&quot;&quot; name=&quot;spxwnewsletter-form&quot; id=&quot;spxwnewsletter-form&quot; class=&quot;spxwnewsletter-form&quot; accept-charset=&quot;utf-8&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;input type=&quot;hidden&quot; name=&quot;groupe&quot; value=&quot;001&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;div class=&quot;form-group&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;label&gt;Adresse Email :&lt;/label&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;input type=&quot;email&quot; class=&quot;form-control&quot; id=&quot;spxwnewsletter-inputEmail&quot; name=&quot;email&quot; placeholder=&quot;Entrer votre Email&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/div&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;button type=&quot;submit&quot; class=&quot;btn btn-default&quot;&gt;Envoyer&lt;/button&gt;</p>
<p>&lt;/form&gt;</p>
</pre>
<p>Par default la structure html est la suivante dans le cas ou il y a affichage de plusieurs groupes.<p>
<pre>
<p>&lt;form role=&quot;form&quot; method=&quot;post&quot; action=&quot;&quot; name=&quot;spxwnewsletter-form&quot; id=&quot;spxwnewsletter-form&quot; class=&quot;spxwnewsletter-form&quot; accept-charset=&quot;utf-8&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;div class=&quot;form-group&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;label for=&quot;&quot;&gt;Groupe&lt;/label&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;select id=&quot;id_groupe&quot; name=&quot;groupe&quot; class=&quot;form-control&quot;&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;option value=&quot;001&quot;&gt;groupe default&lt;/option&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;option value=&quot;002&quot;&gt;Groupe 2&lt;/option&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/select&gt;&nbsp;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;div class=&quot;form-group&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;label&gt;Adresse Email :&lt;/label&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;input type=&quot;email&quot; class=&quot;form-control&quot; id=&quot;spxwnewsletter-inputEmail&quot; name=&quot;email&quot; placeholder=&quot;Entrer votre Email&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/div&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;button type=&quot;submit&quot; class=&quot;btn btn-default&quot;&gt;Envoyer&lt;/button&gt;</p>
<p>&lt;/form&gt;</p>
</pre>
<p>En cas de succès, d'échec ou autres une alarte s'affiche dans une div.<p>
<p>Vous pouvez bien sur personnaliser avec vos propres classes dont voici la liste par default.<p>
<ul>
  <li>bt_submit_class = 'btn btn-default'</li>
  <li>alert_success_class = 'alert alert-success fade in'</li>
  <li>alert_failed_class = 'alert alert-warning fade in'</li>
  <li>alert_already_registred_class = 'alert alert-warning fade in'</li>
</ul>
<p>Exemple :<p>
<pre>
[SPXWNEWSLETTER_sub bt_submit_class='mysubitbutton']
</pre>
